Page MenuHomePhabricator

Policy for inappropriate avatars?
Closed, DeclinedPublic

Description

Based on the question posted at http://wikimediafoundation.org/wiki/Talk:Terms_of_Use/Phabricator

User profile images
What's about avatars. Users technically may upload unfree pics as such. I assume they're to be prohibited. Does general licensing policy apply here or an additional thing's to be created? --Base (talk) 18:39, 8 November 2014 (UTC)

In addition to the non-free case, we should also consider the offensive case. I don't think the admins would have clear instructions in the current Terms of Use if anything like this happens.

Event Timeline

Qgil created this task.Nov 8 2014, 8:56 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Low.
Qgil added projects: Phabricator, WMF-Legal.
Qgil changed Security from none to None.
Qgil moved this task from To Triage to Need discussion on the Phabricator board.
Qgil added subscribers: Qgil, Base, LuisV_WMF.
Krenair added a subscriber: Krenair.Nov 8 2014, 9:32 PM
Joe added a subscriber: Joe.Nov 9 2014, 10:50 PM

So you are saying that I implicitly released my avatar with the same rules of commons? I don't honestly see how this could apply, how this makes sense at all. If I used a copyrighted image, that is clearly an issue. That I am giving anyone besides phabricator.wikimedia.org the right to reuse my avatar seems to me really too much.

We should surely make it very clear to users if we are requiring a free license (as considered by commons) and not just a usage right attribution. I would remove my photo in that case.

Phabricator avatars could be covered by another section in https://wikimediafoundation.org/wiki/Terms_of_Use/Phabricator I guess.

Elitre added a subscriber: Elitre.EditedNov 24 2014, 1:17 PM

Maybe we want to decide on this sooner than later? Right now, the way I see it, usage of pics/icons under CC and other free licenses (except for CC0) doesn't seem possible.

In T1180#20616, @Joe wrote:

So you are saying that I implicitly released my avatar with the same rules of commons?

I think we should, at minimum, make it trivial to use an image from Wikimedia Commons. I filed T76247 to track this.

Whether we later restrict Phabricator avatars to _only_ images from Commons is a separate question to be considered in the future, in my opinion.

So you are saying that I implicitly released my avatar with the same rules of commons?

Seems rather explicit to me: any page on this domain > https://wikimediafoundation.org/wiki/Terms_of_Use/Phabricator > https://wikimediafoundation.org/wiki/Terms_of_Use#7._Licensing_of_Content "When you contribute non-text media, you agree to comply with the requirements for such licenses as described in our Licensing Policy" > https://wikimediafoundation.org/wiki/Resolution:Licensing_policy

This domain has no EDP. Non-free media is not allowed and free media must be properly attributed.

This domain has no EDP. Non-free media is not allowed and free media must be properly attributed.

maybe this is true but I don't think it's reasonable. we need to be able to host non-free text and media in order to reference them from tasks. (screenshots of Wikipedia in IE, test cases of incorrectly parsed content from non-free wikis, etc)

see also T75977. the text quoted there is not free and I didn't attribute the author.

also what about non-free content imported from WMF bugzilla?

Joe added a comment.Nov 29 2014, 6:25 AM

So you are saying that I implicitly released my avatar with the same rules of commons?

Seems rather explicit to me: any page on this domain > https://wikimediafoundation.org/wiki/Terms_of_Use/Phabricator > https://wikimediafoundation.org/wiki/Terms_of_Use#7._Licensing_of_Content "When you contribute non-text media, you agree to comply with the requirements for such licenses as described in our Licensing Policy" > https://wikimediafoundation.org/wiki/Resolution:Licensing_policy

This domain has no EDP. Non-free media is not allowed and free media must be properly attributed.

I don't see how setting my avatar can be considered "contributing" to the project. Or, are you saying my phab preferences are released under a free licence as well?

Thank doesn't make any sense, and I'm pretty sure we should specify very very clearly if we think avatars should be under common's rules.

Relatedly, I hope we're preventing upload of animated gifs as used on https://secure.phabricator.com/T5604#86369

Qgil added a subscriber: Rfarrand.Dec 15 2014, 10:56 AM

About offensive avatars, I wonder whether the Phabricator etiquette and the Friendly Space Policy could help.

In T1180#847579, @Qgil wrote:

About offensive avatars, I wonder whether the Phabricator etiquette and the Friendly Space Policy could help.

I would say so...especially the former (mw.org Phabricator etiquette). Perhaps expand it a bit. It outlines what is acceptable and what happens when people violate the rules.

Are you trying to define "inappropriate"? Seems almost impossible. It will end up saying that what avatar is considered inappropriate has to be decided on a case-by-case basis anyways. Not sure what else could be a in a policy.

I don't see anything really actionable here either... Personally I'd decline this.

Krenair closed this task as Declined.Feb 2 2015, 6:48 PM
Krenair claimed this task.

Let's mark this declined unless WMF-Legal wants to do something.

I know this has been declined, and legal has not made any public comment about this yet, but I would anyways want to take this opportunity to write this. I think, even thought legal has not made any sound, that we should be able to form consensus on how avatars on Phabricator should be used. For instance shouldn't avatars include any pornographical content, they shouls not be copyrighted, they can only be own works, for as of now they can't be linked to Commons and therfore the attibution-aspect of licenses fail. These things are common sense and should not need any advise or directive from legal, but project-consensus should still be able to be reached about how we think these should be used.

Restricted Application added a subscriber: scfc. · View Herald TranscriptJul 8 2015, 2:29 PM

soon you'll find yourself trying to define "pornographic" though. the legal definition of it varies pretty much between jurisdictions around the globe

Josve05a added a comment.EditedJul 8 2015, 3:25 PM

Yeah, but there is a difference if we as a project define it or let the legal definition decide. Let's at least make a project-policy, which we can change if neded to.

Base added a comment.Nov 9 2015, 1:03 AM

I do not understand why is this declined and I +1 @Josve05a's comment. We do not need legal team's reply in order to just set site rules.

@Joe, Yes uploading an avatar is a contribution. Similarly as uploading a file to a wiki "to just use it on my userpage" is a contribution. The latter file semantically is an avatar as well. Your preferences aren't public. Your avatar is. I can use <img src="https://phab.wmfusercontent.org/file/data/llxzuhyddw6zhzvqfe63/PHID-FILE-uizjczi6vwjcnd6lbgbm/profile-myself.jpg" /> from anywhere. It is now said at the bottom that "Content licensed under Creative Commons Attribution-ShareAlike 3.0 (CC-BY-SA) unless otherwise noted; code licensed under GNU General Public License (GPL) or other open source licenses. " That means it applies to your avatar, assuming it's your own work as otherwise an author would have to be attributed. If it ain't so, congratulations on successful violating of the license terms…

Qgil added a comment.Nov 9 2015, 11:13 AM

I have added the attribution to my avatar (which inherits the original CC-BY-SA) and a link to its source in my Phabricator profile page. If there is a problem with an avatar, this could be a good enough social way to solve it -- not that far from clickable images in Wikipedia et al. Every user profile has a "Send message" link, therefore asking a specific user to fix / attribute their avatar is technically simple, if someone is motivated to do so.

Beyond this licensing inconsistency, are there unacceptable avatars being used in Wikimedia Phabricator? Instead of trying to define a specific policy, I'd rather focus on the application the Code of conduct for technical spaces in the works, assuring that the use of avatars doesn't obstruct the principle of "making participation in Wikimedia technical projects a respectful and harassment-free experience for everyone".

Qgil added a comment.Nov 10 2015, 2:31 PM

... which was changed after a request. Proof that the social process works.